'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsYaml = require('js-yaml');

var _jsYaml2 = _interopRequireDefault(_jsYaml);

var _catlStep = require('catl-step');

var _catlStep2 = _interopRequireDefault(_catlStep);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var patchObject = _catlStep.decorators.patchObject;
exports.default = (0, _catlStep2.default)('provideYml')([patchObject('writeYmlSync')(function (_ref) {
  var readFileSync = _ref.readFileSync;
  return {
    readYmlSync: function readYmlSync(filename) {
      return _jsYaml2.default.safeLoad(readFileSync(filename, 'utf8'));
    }
  };
}), patchObject('writeYmlSync')(function (_ref2) {
  var writeFileSync = _ref2.writeFileSync;
  return {
    writeYmlSync: function writeYmlSync(filename, string) {
      return writeFileSync(filename, _jsYaml2.default.safeDump(string));
    }
  };
})]);